fct_m0 <- function(t, a){

   ag_       <- seq(2.5, 107.5, by = 5)
   
   #log-mortality of female civilians in t = 1943.5 (per 1e6 person-years)
   logMort_f <- c(9.42, 7.17, 6.88, 7.46, 7.79, 7.80, 7.82, 7.96, 8.22, 8.58, 
                  8.94, 9.31, 9.75, 10.24, 10.75, 11.26, 11.74, 12.24, 12.74, 
                  13.24, 14.0, 15.0)
   mort      <- 1.0e-6*exp(approx(ag_, logMort_f, a, rule = 2)$y)
   return(mort*exp(t*log(0.9964)))
}